<?php

class NotificacaoSkyhubStatus extends Pedido
{

  private $registry;
  private $db;

  public function __construct($registry)
  {
    $this->registry = $registry;
    $this->db = $registry->get('db');
    parent::__construct($registry);
  }
  public function __get($name) {
    return $this->registry->get($name);
  }

  public function sendTask($typeemail, $order_id, $attribute_value)
  {

    try {
      $this->load->dmodel('marketplace/mktpedido');
      $this->load->dmodel('skyhub/skypedido');
      $attribute_value = json_decode($attribute_value);

      $this->dmodel_skyhub_skypedido->sendStatus($order_id, $attribute_value->order_status_id, $attribute_value->order_history_id);
    } catch (Exception $e) {
      throw $e;
    }
  }



}